org.apache.catalina.tribes.transport.bio.util

## Class LinkObject

- java.lang.Object
- - org.apache.catalina.tribes.transport.bio.util.LinkObject

-     public class LinkObject
      extends Object

  The class LinkObject implements an element for a linked list, consisting of a general data object and a pointer to the next element.
  Author:
    Rainer Jung, Peter Rossbach, Filip Hanik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkObject(ChannelMessage msg, Member[] destination, InterceptorPayload payload)` Construct a new element from the data object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(LinkObject next)` Set the next element.
    `ChannelMessage` | `data()` Get the data object from the element.
    `Member[]` | `getDestination()`
    `ErrorHandler` | `getHandler()`
    `byte[]` | `getKey()` Get the unique message id
    `InterceptorPayload` | `getPayload()`
    `LinkObject` | `next()` Get the next element.
    `void` | `setNext(LinkObject next)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkObject

          public LinkObject(ChannelMessage msg,
                    Member[] destination,
                    InterceptorPayload payload)

      Construct a new element from the data object. Sets the pointer to null.
      Parameters:
        `msg` - the message
        `destination` - TBA
        `payload` - The data object.

  - ### Method Detail

    - #### append

          public void append(LinkObject next)

      Set the next element.
      Parameters:
        `next` - The next element.

    - #### next

          public LinkObject next()

      Get the next element.
      Returns:
        The next element.

    - #### setNext

          public void setNext(LinkObject next)

    - #### data

          public ChannelMessage data()

      Get the data object from the element.
      Returns:
        The data object from the element.

    - #### getKey

          public byte[] getKey()

      Get the unique message id
      Returns:
        the unique message id

    - #### getHandler

          public ErrorHandler getHandler()

    - #### getPayload

          public InterceptorPayload getPayload()

    - #### getDestination

          public Member[] getDestination()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.